package com.sifang.modules.q7link.entity;


import com.itextpdf.text.pdf.PRIndirectReference;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

@Entity
@Table(name = "crm_supply_material_project_price")

public class CrmSupplyMaterialProjectPrice implements Serializable {

    // TODO 主键
    @Id
    private String id;

    // TODO 企企项目编码
    private String qqProjectCode;

    // TODO 企企存货编码
    private String qqMaterialCode;

    // TODO 含税零售价
    private Double price;

    // TODO 价格含税:是否
    private String csJiaGeHanShui;

    // TODO 税率
    private Double csShuiLv;

    // TODO 数据状态
    private String status;

    // TODO 创建时间
    private String createTime;

    //  TODO 主单位
    private String primaryUnit;

    //  TODO 琦琦id
    private String qid;

    public String getQid() {
        return qid;
    }

    public void setQid(String qid) {
        this.qid = qid;
    }

    public String getPrimaryUnit() {
        return primaryUnit;
    }

    public void setPrimaryUnit(String primaryUnit) {
        this.primaryUnit = primaryUnit;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getQqProjectCode() {
        return qqProjectCode;
    }

    public void setQqProjectCode(String qqProjectCode) {
        this.qqProjectCode = qqProjectCode;
    }

    public String getQqMaterialCode() {
        return qqMaterialCode;
    }

    public void setQqMaterialCode(String qqMaterialCode) {
        this.qqMaterialCode = qqMaterialCode;
    }

    public Double getPrice() {
        return price;
    }

    public void setPrice(Double price) {
        this.price = price;
    }

    public String getCsJiaGeHanShui() {
        return csJiaGeHanShui;
    }

    public void setCsJiaGeHanShui(String csJiaGeHanShui) {
        this.csJiaGeHanShui = csJiaGeHanShui;
    }

    public Double getCsShuiLv() {
        return csShuiLv;
    }

    public void setCsShuiLv(Double csShuiLv) {
        this.csShuiLv = csShuiLv;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }
}
